@echo off
setlocal

if "%~0"=="CLEAN_LOCAL.cmd" goto START
cls
echo 様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様
echo 様 REMOVING LOCAL OUTPUT AND INTERMEDIATE FILES/FOLDERS: 様様様様様様様様様様様

:START
call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:"_CleanLocal_"
if %errorlevel% neq 0 goto ERROR

if "%~0"=="CLEAN_LOCAL.cmd" goto FINISH
echo.
echo 様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様様
goto FINISH

::==================================================================================================

:EXEC_CMD
echo.
echo ^>^> %* ...
echo.
call :RESET_ERROR
%*
goto :EOF

::==================================================================================================
:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF
::==================================================================================================
:ERROR
if not "%~0"=="CLEAN_LOCAL.cmd" (
echo 
if not "%$cmd_plain%"=="1" pause )
endlocal
verify # 2>nul
goto :EOF
:FINISH
endlocal
if not "%~0"=="CLEAN_LOCAL.cmd" (
echo.
if not "%$cmd_plain%"=="1" pause )
call :RESET_ERROR
goto :EOF
::==================================================================================================
